const Connector = require("./Connector")
const md5 = require('md5')

const config = require('../../config.json')
class PagernetzConnetorAT extends Connector {
  constructor (amqpConnMngr) {
    super(amqpConnMngr)
    this.name = "pagernetz-at"
    this.duplexCapable = true
  }
  async transmitMessage(msg, params) {
    const UUID = this.name+':'+md5(JSON.stringify([ this.name, ...params ])) // uuid=name+hash of name+args
    await new Promise((res)=>setTimeout(res,3e3))
    this.connectorRegistry.reportFail(msg, UUID)
  }
}
module.exports = PagernetzConnetorAT